import fetch from "@/utils/fetch";

export default {
  // ----------------------------领导管理--------------------
  addOrUpdateLeaderList(data) {
    //批量新增或者修改领导管理信息
    return fetch({
      url: "/Leader/addOrUpdateLeaderList",
      method: "POST",
      data,
    });
  },

  addOrUpdateLeader(data) {
    //新增或者修改一条领导管理信息
    return fetch({
      url: "/Leader/addOrUpdateLeader",
      method: "POST",
      data,
    });
  },

  getLeaderList(data) {
    // 获取领导信息列表
    return fetch({
      url: "/Leader/getLeaderList",
      method: "POST",
      data,
    });
  },

  getLeaderById(params) {
    // 查询一条领导信息
    return fetch({
      url: "/Leader/getLeaderById",
      method: "GET",
      params,
    });
  },

  deleteLeaderById(params) {
    // 删除一条领导信息
    return fetch({
      url: "/Leader/deleteLeaderById",
      method: "GET",
      params,
    });
  },
  // ----------------------------院内导航管理--------------------
  addOrUpdateHospitalNavigationList(data) {
    //批量新增或者修改院内导航管理信息
    return fetch({
      url: "/HospitalNavigation/addOrUpdateHospitalNavigationList",
      method: "POST",
      data,
    });
  },

  addOrUpdateHospitalNavigation(data) {
    //新增或者修改一条院内导航管理信息
    return fetch({
      url: "/HospitalNavigation/addOrUpdateHospitalNavigation",
      method: "POST",
      data,
    });
  },

  getHospitalNavigationList(data) {
    // 获取院内导航信息列表
    return fetch({
      url: "/HospitalNavigation/getHospitalNavigationList",
      method: "POST",
      data,
    });
  },

  getHospitalNavigationById(params) {
    // 查询一条院内导航信息
    return fetch({
      url: "/HospitalNavigation/getHospitalNavigationById",
      method: "GET",
      params,
    });
  },

  deleteHospitalNavigationById(params) {
    // 删除一条院内导航信息
    return fetch({
      url: "/HospitalNavigation/deleteHospitalNavigationById",
      method: "GET",
      params,
    });
  },
};